<div>
    <h2 id="page-heading">
        <span>Member Remark Instances</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-member-remark-instance" [routerLink]="['/member-remark-instance/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Member Remark Instance
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="memberRemarkInstances?.length === 0">
        <span>No memberRemarkInstances found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="memberRemarkInstances && memberRemarkInstances.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Member Id</span></th>
                    <th scope="col" ><span>Text</span></th>
                    <th scope="col" ><span>Tag Id</span></th>
                    <th scope="col" ><span>Tag Name</span></th>
                    <th scope="col" ><span>Access Teams</span></th>
                    <th scope="col" ><span>Create Date</span></th>
                    <th scope="col" ><span>Create By</span></th>
                    <th scope="col" ><span>Update Date</span></th>
                    <th scope="col" ><span>Update By</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let memberRemarkInstance of memberRemarkInstances ;trackBy: trackId">
                    <td><a [routerLink]="['/member-remark-instance', memberRemarkInstance.id, 'view']">{{ memberRemarkInstance.id }}</a></td>
                    <td>{{ memberRemarkInstance.memberId }}</td>
                    <td>{{ memberRemarkInstance.text }}</td>
                    <td>{{ memberRemarkInstance.tagId }}</td>
                    <td>{{ memberRemarkInstance.tagName }}</td>
                    <td>{{ memberRemarkInstance.accessTeams }}</td>
                    <td>{{ memberRemarkInstance.createDate | date:'mediumDate' }}</td>
                    <td>{{ memberRemarkInstance.createBy }}</td>
                    <td>{{ memberRemarkInstance.updateDate | date:'mediumDate' }}</td>
                    <td>{{ memberRemarkInstance.updateBy }}</td>
                    <td>{{ memberRemarkInstance.active }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/member-remark-instance', memberRemarkInstance.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/member-remark-instance', memberRemarkInstance.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(memberRemarkInstance)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
